package org.hirw.game;

import lombok.Getter;

public abstract class Scene {
  @Getter private final SceneType sceneType;

  public Scene(SceneType sceneType) {
    this.sceneType = sceneType;
  }

  public abstract void init();

  public abstract void update();

  public String toString() {
    return getSceneType().toString();
  }
}
